#!/usr/bin/env python

import sys
from BaseHTTPServer import BaseHTTPRequestHandler, HTTPServer
import re
import urllib, urlparse


class SentenceRepeatHandler(BaseHTTPRequestHandler):
	def do_GET(self):
		try:
			url = urlparse.urlparse(self.path)
			sentence = urllib.unquote(url.path)[1:] + '\n'
			times = int(urlparse.parse_qs(url.query)['repeat'][0])
			self.send_response(200)
			self.send_header('Content-type', 'text/plain')
			self.end_headers()
			for i in range(times):
				self.wfile.write(sentence)
			return
		except:
			self.send_error(500)
			
			
def main(args):
	try:
		server = HTTPServer(('', int(args[1])), SentenceRepeatHandler)
		server.serve_forever()
	except KeyboardInterrupt:
		server.socket.close()


if __name__ == "__main__":
	main(sys.argv)
